Vai al contenuto

condenser_api.get_blog_entries ​

Purpose ​

Restituisce un elenco di voci (blog entry) del blog per un account. Parametri: account:string; start_entry_id:int; limit:int fino a 500

account (string)start_entry_id (int)limit (int)
"steemit"01Interroga le voci del blog dell’account denominato "steemit", fino a un risultato.
"alice"050Interroga le voci del blog dell’account denominato "alice", fino a 50 risultati.

Vedere anche: follow_api.get_blog_entries, Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "steemit",
  0,
  1
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_blog_entries",
    "params": [
      "steemit",
      0,
      1
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_blog_entries",
    "params": [
      "alice",
      0,
      50
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "author": "steemit",
    "permlink": "firstpost",
    "blog": "steemit",
    "reblog_on": "1970-01-01T00:00:00",
    "entry_id": 0
  }
]